Method: accessPolicies.servicePerimeters.patch

Updates a service perimeter. The long-running operation from this RPC has a successful status after the service perimeter propagates to long-lasting storage. If a service perimeter contains errors, an error response is returned for the first error encountered.

HTTP request

PATCH https://accesscontextmanager.s3nsapis.fr/v1/{servicePerimeter.name=accessPolicies/*/servicePerimeters/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
servicePerimeter.name

string

Identifier. Resource name for the ServicePerimeter. Format: accessPolicies/{access_policy}/servicePerimeters/{servicePerimeter}.

The servicePerimeter component must begin with a letter, followed by alphanumeric characters or _.

After you create a ServicePerimeter, you cannot change its name.

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. Mask to control which fields get updated. Must be non-empty.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

deletedPrincipalSyntax

enum (DeletedPrincipalSyntaxSupport)

Optional. If true, the response will contain the deleted principal syntax for identities that support it and the request can contain identities with deleted principal syntax.

Request body

The request body contains an instance of ServicePerimeter.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • accesscontextmanager.servicePerimeters.update

For more information, see the IAM documentation.